#ifndef STREAMINGVERSIONDATA_H
#define STREAMINGVERSIONDATA_H

#include <QObject>
#include <qdatetime.h>

class StreamingVersionData
{
public:

    StreamingVersionData(){}

    StreamingVersionData(QString absoltePath,QString viewName,QDateTime data,qint32 size)
    {
        this->absolutePath = absoltePath;
        this->viewName = viewName;
        this->createData = data;
        this->size = size;
        this->author = "";
    }

    void setName(QString viewName)
    {
        this->viewName = viewName;
    }

    void setCreateData(QDateTime data)
    {
        this->createData = data;
    }

    ~StreamingVersionData();

    QString getAbsolutPath() const
    {
    return absolutePath;
    }

    QString getViewName() const
    {
    return viewName;
    }

    QDateTime getCreateData() const
    {
    return createData;
    }

    qint32 getSize() const
    {
    return size;
    }

    bool getIsChangeable() const
    {
    return isChangeable;
    }

    void setIsChangeable(bool value)
    {
    isChangeable = value;
    }

    QString getAuthor() const
    {
    return author;
    }

    void setAuthor(const QString &value)
    {
    author = value;
    }

private:
    QString absolutePath;
    QString viewName;
    QString author;
    QDateTime createData;
    bool isChangeable;
    qint32 size;
};

#endif // STREAMINGVERSIONDATA_H





